

Someone removed NR_syscalls from <linux/sys.h>



 ppc64/kernel/entry.S |    2 +-
 asm-ppc64/unistd.h   |    5 +++++
 2 files changed, 6 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/entry.S~ppc-entry-build-fix arch/ppc64/kernel/entry.S
--- 25-power4/arch/ppc64/kernel/entry.S~ppc-entry-build-fix	2003-02-18 20:18:22.000000000 -0800
+++ 25-power4-akpm/arch/ppc64/kernel/entry.S	2003-02-18 20:19:39.000000000 -0800
@@ -22,7 +22,7 @@
 
 #include <linux/config.h>
 #include <linux/errno.h>
-#include <linux/sys.h>
+#include <asm/unistd.h>
 #include <asm/processor.h>
 #include <asm/page.h>
 #include <asm/mmu.h>
diff -puN include/asm-ppc64/unistd.h~ppc-entry-build-fix include/asm-ppc64/unistd.h
--- 25-power4/include/asm-ppc64/unistd.h~ppc-entry-build-fix	2003-02-18 20:19:42.000000000 -0800
+++ 25-power4-akpm/include/asm-ppc64/unistd.h	2003-02-18 20:20:16.000000000 -0800
@@ -251,6 +251,9 @@
 #define __NR_sys_epoll_wait	238
 #define __NR_remap_file_pages	239
 
+#define NR_syscalls		260
+
+#ifndef __ASSEMBLY__
 #ifdef __KERNEL_SYSCALLS__
 
 /*
@@ -284,4 +287,6 @@ extern pid_t waitpid(pid_t pid, int *wai
  */
 #define cond_syscall(x) asm(".weak\t." #x "\n\t.set\t." #x ",.sys_ni_syscall");
 
+#endif		/* __ASSEMBLY__ */
+
 #endif /* _ASM_PPC_UNISTD_H_ */

_
